UKHAS Wiki

UK High Altitude Society

User Tools

Site Tools


projects:dl-fldigi:build-osx

Differences

This shows you the differences between two versions of the page.

Link to this comparison view

Both sides previous revision Previous revision
Next revision
Previous revision
projects:dl-fldigi:build-osx [2013/11/28 23:49]
jcoxon
projects:dl-fldigi:build-osx [2016/08/02 19:46] (current)
jcoxon
Line 1: Line 1:
-====== Build on Mac OS X 10.8+ ======+ 
 +====== Build on Mac OS X 11.5+ ======
  
   * Requirements:​   * Requirements:​
Line 24: Line 25:
 </​code>​ </​code>​
 May need to do a similar thing for libpng (on Mac OS X 10.6.8) May need to do a similar thing for libpng (on Mac OS X 10.6.8)
 +
 +As Apple have stopped using openssl you'll need to symlink it
 +<​code>​
 +$ cd /​usr/​local/​include ​
 +$ ln -s ../​opt/​openssl/​include/​openssl .
 +</​code>​
 +
 +Might also need you to install the latest xcode command tools:
 +<​code>​
 +$ xcode-select --install
 +</​code>​
 +
 +Then start the it for real:
 <​code>​ <​code>​
 $ autoreconf -vfi $ autoreconf -vfi
 </​code>​ </​code>​
-On OS X Mavericks (10.9)+On OS X 10.9+ (Mavericks and Yosemite)
 <​code>​ <​code>​
 $ CXXFLAGS="​-stdlib=libstdc++"​ ./configure --disable-flarq $ CXXFLAGS="​-stdlib=libstdc++"​ ./configure --disable-flarq
projects/dl-fldigi/build-osx.1385682571.txt.gz · Last modified: 2013/11/28 23:49 by jcoxon